Subject: Re: [PATCH] ftrace, powerpc64: fix math to calculate offset in TOC

From: Geoff Levand <[email-masked]>
Date: Mon, 9 Feb 2009 12:16:20 -0800

Steven Rostedt wrote:
> I found the bug that was causing large modules to fail in setting
> up dynamic ftrace. It wound up being a simple math error. To calculate
> the offset in the TOC, I had used an OR, but the bottom half was
> a signed extended short, and it should have been an addition.
> The fix is in my tree below, as well as posted here.
> ----
>  arch/powerpc/kernel/ftrace.c |    5 +++--
>  1 files changed, 3 insertions(+), 2 deletions(-)

I tested this on PS3 with CONFIG_FTRACE_SELFTEST=y and
CONFIG_FTRACE_SELFTEST=y, and all modules now load and
the system seems to work properly.  I did not run any
tracer specific tests though.

Acked-by: Geoff Levand <[email-masked]>